<div class="umb-forms-dashboard" ng-controller="UmbracoForms.Dashboards.FormsController as vm">

    <!-- Licensing -->
    <div>
        <div class="umb-forms-install-overlay" ng-show="vm.overlay.show">
            <a href class="close" ng-click="vm.overlay.show = false">Close</a>
            <div>
                <div class="succes"> </div>

                <h2><strong>{{vm.overlay.title}}</strong></h2>

                <p>{{vm.overlay.description}}</p>

                <div class="divider"></div>

                <umb-button button-style="success"
                            type="button"
                            action="vm.create()"
                            label="Create a form">
                </umb-button>

            </div>
        </div>

        <!-- TODO: Can we retire this functionality? -->
        <div ng-show="vm.version.upgradeAvailable && vm.isAdminUser">
            <div class="row-fluid">
                <div class="span8">
                    <h3>There is a new version available</h3>
                    <p>
                        You can now install Umbraco forms {{vm.version.remoteVersion}}
                    </p>
                </div>
                <div class="span4 umb-db-form-action">
                    <umb-button ng-show="!vm.installing"
                                button-style="success"
                                type="button"
                                action="vm.upgrade()"
                                label="Upgrade now">
                    </umb-button>
                </div>
            </div>


            <div style="width: 99%; overflow: hidden" ng-show="vm.installing">
                <p>Downloading and upgrading forms...</p>
                <div class="umb-loader"></div>
            </div>

            <hr />
        </div>

        <!-- Trial or invalid license -->
        <div ng-show="vm.status.isTrial || vm.status.isInValid === true">

            <div class="alert alert-error" ng-show="vm.status.isInValid">
                <h4>Invalid license</h4>
                Your current forms license is only valid for:
                <pre>{{vm.status.validDomains}}</pre>
                Please re-configure your license below.
            </div>


            <div class="row-fluid" ng-show="!vm.status.state">
                <div class="span8">
                    <h3>Thank you for trying out Umbraco Forms</h3>
                    <p>To continue using Umbraco forms, you must purchase a license, or use an existing license</p>
                </div>

                <div class="span4 umb-db-form-action">
                    <umb-button style="display: block;"
                                button-style="success"
                                type="button"
                                action="vm.status.state = 'buy'"
                                label="Buy license">
                    </umb-button>
                    <a class="btn btn-link btn-tiny" ng-click="vm.status.state = 'use'">Configure existing license</a>
                </div>
            </div>


            <div ng-if="vm.status.state === 'buy'">

                <h3>Buying a license</h3>
                <p>
                    It only takes <strong>a few minutes to buy a license</strong> for Umbraco Forms and your <strong>license is instantly delivered</strong>.
                </p><p>
                    The steps are:
                    <ol>
                        <li>Click the buy button below</li>
                        <li>Checkout with Credit Card (or invoice)</li>
                        <li>Configure the license inside Umbraco Forms and you're up and running</li>
                    </ol>
                </p>
                <a href="https://shop.umbraco.com/shop/cart/?p=6201&direct=true&utm_source=core&utm_medium=dashboard&utm_content=topic-link&utm_campaign=formslicensing" target="_blank" class="btn btn-primary">Buy Umbraco Forms</a>
                <a class="btn btn-link" ng-click="vm.status.state = undefined">Back</a>
                <hr />
                <h4>FAQ:</h4>
                <h5>What does it cost?</h5>
                <p>Pricing starts at &euro;149 / $199 and is a one time fee (no subscription).</p>
                <h5>What does a license cover?</h5>
                <p>A license covers a single domain and will also work on all subdomains. It also includes two additional development domains.</p>
                <h5>Can I add additional domains to the license?</h5>
                <p>Yes, additional domains can be added. You can purchase additional domains to your license from your account on Umbraco.com.</p>
                <h5>More questions?</h5>
                <p>Don't worry, there's <a class="green-link" href="https://our.umbraco.com/Documentation/Add-ons/The-Licensing-model/index-v7?utm_source=core&utm_medium=dashboard&utm_content=buy-faq-link&utm_campaign=formslicensing">more details in the documentation</a> and you're also more than welcome to <a class="green-link" href="https://umbraco.com/contact-us?utm_source=core&utm_medium=dashboard&utm_content=contact-us-link&utm_campaign=formslicensing">get in touch with us</a>. We usually respond within a couple of hours.</p>
            </div>


            <div ng-if="vm.status.state === 'use'">
                <h3>Configure an Umbraco Forms license</h3>
                <p>
                    If you've already bought Umbraco Forms, you can automatically retrieve and configure your license here. Simply enter your umbraco.com credentials below and we'll
                    find your license.
                </p>

                <div ng-show="vm.isLoading">
                    <umb-load-indicator></umb-load-indicator>
                </div>

                <div ng-hide="vm.hasLicenses || vm.isLoading">
                <p>
                    <strong>Email:</strong><br />
                    <input type="text" ng-model="vm.configuration.email" /><br />
                    <strong>Password:</strong><br/>
                    <input type="password" ng-model="vm.configuration.password" /><br/>
                    <button class="btn btn-primary" ng-click="vm.getLicenses(vm.configuration)">Find licenses</button>
                    <a class="btn btn-link" ng-click="vm.status.state = undefined">Back</a>
                    <span ng-show="vm.loginError" class="red"><i class="icon icon-alert red" title="Invalid email or password"></i> Invalid email or password</span>
                    <span ng-show="vm.hasLicenses === false" class="red"><i class="icon icon-alert red" title="No licenses found"></i> No Umbraco Forms licenses available on this account</span>
                </p>
                <hr />
                <h4>FAQ:</h4>
                <h5>I don't know what my credentials are?</h5>
                <p>It's a combination of your e-mail and password from when you placed your order. You can always <a class="green-link" href="https://shop.umbraco.com/profile/retrieve-your-password/">reset your password here</a>.</p>
                <h5>How do I buy a license?</h5>
                <p>If you don't have a license, you can <a class="btn-link green-link" ng-click="vm.status.state = 'buy'">get one from here and only takes a few minutes</a>.</p>
                </div>
                <div ng-show="vm.hasLicenses">
                    <h5>Available Licenses</h5>
                    <p>
                        Found <strong>{{vm.openLicenses.length + vm.configuredLicenses.length}}</strong> licenses on the <strong>{{vm.configuration.email}}</strong> account
                    </p>

                    <div ng-show="vm.openLicenses.length > 0">
                        <ul class="unstyled list-icons">
                            <li ng-repeat="license in vm.openLicenses" style="max-width: 600px">
                                <i class="icon icon-certificate blue"></i>

                                <a href ng-click="vm.status.selectedLicense = license; vm.configuration.license = license.id">{{license.label}}</a><br/>
                                <small>Has no domains assigned</small>

                                <div ng-show="license === vm.status.selectedLicense">
                                    <p>Please set a domain on this license:</p>
                                    <input type="text" ng-model="vm.configuration.domain"/>
                                    <button class="btn btn-primary" ng-click="vm.configure(vm.configuration)">Configure and Install</button>
                                </div>
                            </li>
                        </ul>
                        <hr/>
                    </div>

                    <ul class="unstyled list-icons">
                        <li ng-repeat="license in vm.configuredLicenses">
                            <i class="icon icon-certificate"></i>

                            <a href ng-click="vm.status.selectedLicense = license; vm.configuration.license = license.id">{{license.label}}</a><br/>
                            <small>
                                <i class="icon icon-check color-green" ng-show="license.currentDomainMatch" title="This license is valid on the curent domain"></i>
                                <i class="icon icon-alert red" ng-hide="license.currentDomainMatch" title="This license is not valid on the curent domain"></i>
                                Valid domains: {{license.bindings.join()}}
                            </small>

                            <div ng-if="license === vm.status.selectedLicense">
                                <button class="btn btn-primary" ng-click="vm.configure(vm.configuration)">Install this license</button>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>

            <hr />
        </div>

        <div ng-show="vm.currentVersion">
            <small>Current installed version of Umbraco Forms: {{ vm.currentVersion }}</small>
        </div>

        <!-- TODO: Retire/Remove this as V8 Forms should not have legacy setting -->
        <div ng-show="vm.savePlainTextPasswords && vm.isAdminUser">
            <div class="row-fluid">
                <style>
                    .warnblock {
                        background-color: #f1f1f1;
                        padding: 4px;
                    }

                    .warning {
                        color: red;
                        font-weight: bold;
                    }

                    .code {
                        color: crimson;
                        background-color: #f1f1f1;
                        padding-left: 4px;
                        padding-right: 4px;
                    }
                </style>
                <div class="span8 warnblock">
                    <h3 class="warning">Warning: your configuration settings are set to save plain text passwords!</h3>
                    <p>When you use a password field on any of your forms, the data your visitors will enter in that field will be stored in plain text. This is a security issue and should be avoided.</p>
                    <p>To fix this issue, you can go in to your <span class="code">~/App_Plugins/UmbracoForms/UmbracoForms.config</span> file and set the key <span class="code">SavePlainTextPasswords</span> to <span class="code">False</span>.</p>
                    <p>After updating this setting, make sure to recycle the application pool for the site for the new setting to become active.</p>
                    <p>Note: password values will still be passed on to workflows, regardless of the setting in <span class="code">UmbracoForms.config</span></p>
                </div>
            </div>
        </div>
    </div>


    <!-- Your Forms -->
    <div ng-show="vm.forms.length > 0">
        <h4 class="umb-forms-title">
            <strong>Your forms</strong>
            <div class="umb-forms__show-all">
                <a class="btn btn-link" href="" ng-show="vm.forms.length > vm.formsLimit" ng-click="vm.showMore()">Show more</a>
            </div>
        </h4>

        <ul class="umb-forms-list">
            <li class="umb-forms-form" ng-repeat="form in vm.forms | limitTo:vm.formsLimit">
                
                <a class="umb-forms-card" ng-href="#/forms/form/entries/{{form.id}}">
                <umb-box>
                    <div class="card-name">
                        <h4>{{form.name}}</h4>
                    </div>

                    <div class="card-body">
                        <small>Entries</small>
                        {{form.entries | number:0}}
                    </div>
                </umb-box>
                </a>
                
            </li>
        </ul>

        <div class="umb-forms-title" ng-show="vm.formsLimit > vm.initialFormsLimit">
            <div class="umb-forms__show-all">
                <a class="btn btn-link" href="" ng-show="vm.forms.length > vm.formsLimit" ng-click="vm.showMore()">Show more</a>
            </div>
        </div>
    </div>

    <div ng-hide="vm.status.isTrial || vm.status.isInValid === true || vm.hasUnrestrictedLicense(vm.status) === true">
        <small>Licensed domains:</small>
        <small ng-bind-html="vm.displayLicensedDomains(vm.status)"></small>
    </div>

</div>
